Package org.eclipse.ui.internal

# Class ProductInfo

java.lang.Object
org.eclipse.ui.internal.ProductInfo

public class ProductInfo extends Object
Stores information about the product. This class replaces the old AboutInfo. The product information is available as strings, but is needed as URLs, etc. This class manages that translation.

Since:
  3.0

## Constructor Summary

Constructors
Constructor
Description
`ProductInfo(IProduct product)`

## Method Summary

Modifier and Type
Method
Description
`ImageDescriptor`
`getAboutImage()`
Returns the descriptor for an image which can be shown in an "about" dialog for this product.
`String`
`getAboutText()`
Returns the text to show in an "about" dialog for this product.
`String`
`getAppName()`
Returns the application name or `null`.
`String`
`getProductName()`
Returns the product name or `null`.
`ImageDescriptor[]`
`getWindowImages()`
Return an array of image descriptors for the window images to use for this product.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProductInfo

public ProductInfo(IProduct product)

## Method Details

### getProductName

public String getProductName()
Returns the product name or `null`. This is shown in the window title and the About action.

Returns:
  the product name, or `null`

### getAppName

public String getAppName()
Returns the application name or `null`. Note this is never shown to the user. It is used to initialize the SWT Display.

On Motif, for example, this can be used to set the name used for resource lookup.

Returns:
  the application name, or `null`
See Also:
  - `Display.setAppName(java.lang.String)`

### getAboutImage

public ImageDescriptor getAboutImage()
Returns the descriptor for an image which can be shown in an "about" dialog for this product. Products designed to run "headless" typically would not have such an image.

Returns:
  the descriptor for an about image, or `null` if none

### getWindowImages

public ImageDescriptor[] getWindowImages()
Return an array of image descriptors for the window images to use for this product. The expectations is that the elements will be the same image rendered at different sizes. Products designed to run "headless" typically would not have such images.

Returns:
  an array of the image descriptors for the window images, or `null` if none

### getAboutText

public String getAboutText()
Returns the text to show in an "about" dialog for this product. Products designed to run "headless" typically would not have such text.

Returns:
  the about text, or `null` if none